package main

import (
	"flag"
	"fmt"
	"net/http"
	"os"

	"file-server/internal/handler"
)

var port uint
var folderPath string

func init() {
	flag.StringVar(&folderPath, "p", "", "Path to folder (required)")
	flag.UintVar(&port, "l", 8080, "Listening port (default 8080)")
	flag.Parse()
}

func main() {
	if folderPath == "" {
		fmt.Fprintf(os.Stderr, "Error: parametr 'path' is required")
		os.Exit(1)
	}

	server := &http.Server{
		Addr:    fmt.Sprintf(":%d", port),
		Handler: handler.NewHandler(folderPath),
	}

	err := server.ListenAndServe()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error: %v", err)

		os.Exit(1)
	}
}
